petit soucis avec des modules iptables

Le
bernard.schoenacker
Bonjour,

je recherche le moyen de pouvoir mettre à jour un module
prévu pour un noyau 2.6.16 permettant d'adjoindre
des fct particulières pour iptables .

Malheureusement, je n'ai pas d'autres solution et
je souhaite pouvoir l'employer pour un noyau plus
récent .

comment y arriver afin que cela aboutisse .

merci de votre aimable attention

slt
bernard

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers debian-user-french-REQUEST@lists.debian.org
En cas de soucis, contactez EN ANGLAIS listmaster@lists.debian.org
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Sylvain Sauvage
Le #19921261
, jeudi 13 août 2009, 08:39:20 CEST

Bonjour,



’jour,

je recherche le moyen de pouvoir mettre à jour un module
prévu pour un noyau 2.6.16 permettant d'adjoindre
des fct particulières pour iptables ....

Malheureusement, je n'ai pas d'autres solution et
je souhaite pouvoir l'employer pour un noyau plus
récent ....



Récent comment ?

comment y arriver afin que cela aboutisse ....



L’ABI de Linux (Application Binary Interface : la tambouille
d’un noyau compilé) n’est pas garantie d’une v ersion à l’autre.

En fait, même l’API (donc au niveau source) interne n†™est pas
stable : normal, ça bouge beaucoup un noyau Linux, et aucune
raison de s’encombrer en conservant les vieilles versions des
fonctions/structures, avec leurs bogues (bonjour le bazar sinon
— qui a dit « Microsoft le fait » ?).

Donc, pour ton problème : que veux-tu faire avec iptables qui
était faisable en 2.6.16 et qui n’est plus faisable ?
Tu n’as pas les sources de ces modules ?

--
Sylvain Sauvage

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
bernard.schoenacker
Le #19925001
Selon Sylvain Sauvage
, jeudi 13 août 2009, 08:39:20 CEST
>
> Bonjour,

’jour,

> je recherche le moyen de pouvoir mettre à jour un module
> prévu pour un noyau 2.6.16 permettant d'adjoindre
> des fct particulières pour iptables ....
>
> Malheureusement, je n'ai pas d'autres solution et
> je souhaite pouvoir l'employer pour un noyau plus
> récent ....

Récent comment ?

> comment y arriver afin que cela aboutisse ....

L’ABI de Linux (Application Binary Interface : la tambouille
d’un noyau compilé) n’est pas garantie d’une version à l’autre.

En fait, même l’API (donc au niveau source) interne n’est pas
stable : normal, ça bouge beaucoup un noyau Linux, et aucune
raison de s’encombrer en conservant les vieilles versions des
fonctions/structures, avec leurs bogues (bonjour le bazar sinon
— qui a dit « Microsoft le fait » ?).

Donc, pour ton problème : que veux-tu faire avec iptables qui
était faisable en 2.6.16 et qui n’est plus faisable ?
Tu n’as pas les sources de ces modules ?

--
Sylvain Sauvage

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"




Bonjour,

concernant le module incriminé il s'agit simplement
d'employer les fct Modbus avec IPtables ....

je dispose des sources mais ce n'est pas complètement
compilable d'une manière propre (bave un peut trop) ...

origine :
http://modbusfw.sourceforge.net/

merci du coup de main

slt
bernard

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Sylvain Sauvage
Le #19926881
, jeudi 13 août 2009, 22:25:00 CEST
[…]
Bonjour,



’jour,

concernant le module incriminé il s'agit simplement
d'employer les fct Modbus avec IPtables ....

je dispose des sources mais ce n'est pas complètement
compilable d'une manière propre (bave un peut trop) ...

origine :
http://modbusfw.sourceforge.net/



Ça ressemble à une démonstration de faisabilité pour un
stage/projet/diplôme : ça a été fait, ça a été mis sur sf mais
il n’y a pas eu du suivi (ou très peu).

(Encore une démonstration que la meilleure idée est d’i ntégrer
les modules dans le noyau : profiter du moment (d’inertie) lors
du développement pour travailler à l’inclusion dans le no yau,
comme ça on peut lâcher / disparaître après…)

Tu peux essayer de contacter l’auteur directement (pas facile
à retrouver]. Ou de trouver quelqu’un pour adapter le code ( ça a
l’air d’être GPL ; pas de fichier de licence dans la tarball, il
y a juste un petit GPL dans un coin du code). Ou le faire
toi-même (s’inspirer des autres modules ipt).

Bon courage…

--
Sylvain Sauvage

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Publicité
Poster une réponse
Anonyme